HostMentor Docs

Retrieve your business account

GET/{waba_id}

Returns details of your WhatsApp Business Account. Use fields to ask for specific fields, such as message_template_namespace.

Authorization

apiKey
apikey<token>

Your HostMentor API key, from the dashboard under Messaging → WhatsApp → API keys.

In: header

Path Parameters

waba_id*string

ID of your WhatsApp Business Account (whatsapp_business_account_id in List your phone numbers).

Query Parameters

fields?string

Comma-separated fields to return. Leave it out to get the defaults.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://wa.hostmentor.com/v3/105954558954427?fields=id%2Cname%2Ccurrency%2Ctimezone_id%2Cmessage_template_namespace" \  -H "apikey: YOUR_API_KEY"
{  "id": "105954558954427",  "name": "HostMentor Store",  "currency": "INR",  "timezone_id": "71",  "message_template_namespace": "13f5d10e_e4ed_4de3_8538_cd0b2a7918d4"}